<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:java="java" exclude-result-prefixes="fo">

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no"
		indent="no" />

	<xsl:param name="body.font.family" expression="Arial, FreeSans" />
	<xsl:param name="title.font.family" expression="Arial, FreeSans" />
	<xsl:param name="monospace.font.family" expression="Arial, FreeSans" />
	<!-- <xsl:param name="body.font.master" select="'10.1'" /> -->
	<xsl:param name="symbol.font.family" expression="Arial, FreeSans" />
	<xsl:param name="body.fontset" expression="Arial, FreeSans" />

	<!-- ================================================ -->
	<!-- Template: Medical Transport Protocol A4 Portrait -->
	<!-- ================================================ -->

	<xsl:template match="report">
		<fo:root font-family="Arial, FreeSans">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="whole_page"
					page-width="210mm" page-height="297mm" margin-top="16mm"
					margin-bottom="21mm" margin-left="15mm" margin-right="15mm">
					<fo:region-body margin-left="0" margin-right="0"
						margin-top="8mm" margin-bottom="6mm" />
					<fo:region-before extent="1mm" />
					<fo:region-after extent="30mm" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference="whole_page">

				<fo:static-content flow-name="xsl-region-before">
					<!-- Header begin -->
					<fo:block>
						<fo:table width="100%">
							<fo:table-body>
								<fo:table-row>
									<!-- Header: Company logo and company info -->
									<fo:table-cell>
										<fo:block>
											<fo:inline padding-right="1mm">
												<fo:external-graphic height="1.0cm"
													content-width="scale-to-fit" src='url("image://LOGO_LICENSEE")' />
											</fo:inline>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<!-- Header end -->
				</fo:static-content>

				<fo:static-content flow-name="xsl-region-after">
					<!-- Footer begin -->
					<fo:block text-align="left" padding-top="3mm">
						<fo:table width="100%" border-collapse="separate" border-spacing="2mm 3mm">
							<fo:table-column column-width="70mm" />
							<fo:table-column />
							<fo:table-column column-width="70mm" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell border-bottom="solid thin black" padding="0" margin="0">
										<fo:block padding="0" padding-bottom="15mm" margin="0">
											<xsl:value-of select="/report/licenseeInfo/name" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block>
											<xsl:text> </xsl:text>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell border-bottom="solid thin black" padding="0" margin="0">
										<fo:block padding="0" padding-bottom="15mm" margin="0">
											<xsl:text>Po&#x0161;iljaoc</xsl:text>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<!--
					<fo:block text-align="left" padding-top="5mm"
						padding-left="3mm" padding-right="3mm" margin="0">
						<xsl:text>Datum: </xsl:text>
						<xsl:value-of select="/report/datum/value" />
					</fo:block>
					-->
					<!-- Footer end -->
				</fo:static-content>

				<fo:flow flow-name="xsl-region-body">
					<xsl:attribute-set name="tableUpperCellLeft">
						<xsl:attribute name="width">25mm</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin white</xsl:attribute>
						<xsl:attribute name="background-color">#fafafa</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableUpperCellRight">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin white</xsl:attribute>
						<xsl:attribute name="background-color">#eeeeee</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableLowerCellLeft">
						<xsl:attribute name="width">120mm</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin white</xsl:attribute>
						<xsl:attribute name="background-color">#fafafa</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableLowerCellRight">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin white</xsl:attribute>
						<xsl:attribute name="background-color">#f0f0f0</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="innerTableText">
						<xsl:attribute name="font-size">9pt</xsl:attribute>
						<xsl:attribute name="text-align">left</xsl:attribute>
						<xsl:attribute name="padding">1mm</xsl:attribute>
						<xsl:attribute name="margin-left">1mm</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="innerTableTextBold">
						<xsl:attribute name="font-size">9pt</xsl:attribute>
						<xsl:attribute name="font-weight">bold</xsl:attribute>
						<xsl:attribute name="text-align">left</xsl:attribute>
						<xsl:attribute name="padding">1mm</xsl:attribute>
						<xsl:attribute name="margin-left">1mm</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="innerTableTextCenter">
						<xsl:attribute name="font-size">9pt</xsl:attribute>
						<xsl:attribute name="text-align">center</xsl:attribute>
						<xsl:attribute name="padding">1mm</xsl:attribute>
						<xsl:attribute name="margin-left">1mm</xsl:attribute>
					</xsl:attribute-set>

					<!-- Main content begin -->
					<xsl:for-each select="shipmentsInfo/shipmentInfo">
						<fo:block page-break-before="always">
							<xsl:apply-templates select="." />
						</fo:block>
					</xsl:for-each>
					<!-- Main content end -->
				</fo:flow>

			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	
	<xsl:template match="shipmentInfo">
		<fo:block font-size="10pt" font-weight="normal" text-align="left" text-decoration="none">
			<fo:block font-size="15pt" font-weight="bold" text-align="center" text-decoration="none" padding-top="16mm" padding-bottom="3mm">
				<xsl:text>Nalog za prevoz medicinskih sredstava</xsl:text>
			</fo:block>
			<fo:block font-size="12pt" padding-top="10mm">
				<xsl:text>Dajemo nalog firmi </xsl:text>
				<fo:inline font-weight="bold" text-decoration="none">
					<xsl:value-of select="/report/licenseeInfo/name" />
				</fo:inline>
				<xsl:text> da izvr&#x0161;i prevoz medicinskih sredstava, pod po&#x0161;iljkom broj: </xsl:text>
				<fo:inline font-size="14pt" font-weight="bold">
					<xsl:value-of select="formattedTrackingCode" />
				</fo:inline>
				<xsl:text>.</xsl:text>
			</fo:block>
			<fo:block padding-top="7mm" padding-bottom="1.5mm">
				<xsl:text>Podaci o po&#x0161;iljaocu:</xsl:text>
			</fo:block>
			<fo:table width="100%" border-collapse="separate" border-spacing="2mm 3mm">
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-style="solid" border-width="0.5mm">
							<fo:table width="100%" border-spacing="0">
								<fo:table-column column-width="25mm" />
								<fo:table-column />
								<fo:table-body>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Po&#x0161;iljaoc'" />
										<xsl:with-param name="txt_right"
											select="sender/name" />
										<xsl:with-param name="is_bold" select="'true'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Adresa'" />
										<xsl:with-param name="txt_right"
											select="concat(sender/address, ', ', sender/postalCode, ' ', sender/city)" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Kontakt'" />
										<xsl:with-param name="txt_right"
											select="sender/phone" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Datum utovara'" />
										<xsl:with-param name="txt_right"
											select="' '" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Broj paketa'" />
										<xsl:with-param name="txt_right"
											select="numberOfParcels" />
									</xsl:call-template>
								</fo:table-body>
							</fo:table>
						</fo:table-cell>
						<fo:table-cell border-style="solid" border-width="0.5mm">
							<fo:table width="100%" border-spacing="0">
								<fo:table-column column-width="25mm" />
								<fo:table-column />
								<fo:table-body>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Primaoc'" />
										<xsl:with-param name="txt_right"
											select="receiver/name" />
										<xsl:with-param name="is_bold" select="'true'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Adresa'" />
										<xsl:with-param name="txt_right"
											select="concat(receiver/address, ', ', receiver/postalCode, ' ', receiver/city)" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Kontakt'" />
										<xsl:with-param name="txt_right"
											select="receiver/phone" />
									</xsl:call-template>
									<xsl:call-template name="table_row_upper">
										<xsl:with-param name="txt_left" select="'Datum istovara'" />
										<xsl:with-param name="txt_right"
											select="' '" />
									</xsl:call-template>
								</fo:table-body>
							</fo:table>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell border-style="solid" border-width="0.5mm" number-columns-spanned="2">
							<fo:table width="100%" border-spacing="0">
								<fo:table-body>
									<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="tableLowerCellLeft" border-bottom="solid thin white">
											<fo:block xsl:use-attribute-sets="innerTableText">
												<xsl:text> </xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="tableLowerCellRight" border-bottom="solid thin black">
											<fo:block xsl:use-attribute-sets="innerTableTextCenter" font-weight="bold">
												<xsl:text>DA</xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="tableLowerCellRight" border-bottom="solid thin black">
											<fo:block xsl:use-attribute-sets="innerTableTextCenter" font-weight="bold">
												<xsl:text>NE</xsl:text>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Medicinsko sredstvo?'" />
										<xsl:with-param name="is_yes" select="'true'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Ljek i drugi medicamenti?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Potrebna posebna temperatura tokom transporta?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Posebno osvjetljenje?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Posebna vla&#x017E;nost?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Posebna &#x010D;isto&#x0107;a?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Krv?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Ljudski organi?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Posebni uslovi kod sortiranja?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Posebni uslovi kod transporta?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Posebni uslovi skladi&#x0161;tenja?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Vremenski ograni&#x010D;eno za dostavu?'" />
									</xsl:call-template>
									<xsl:call-template name="table_row_3_cols">
										<xsl:with-param name="txt_left" select="'Drugi posebni uslovi?'" />
									</xsl:call-template>
								</fo:table-body>
							</fo:table>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
			<fo:block padding-top="5mm">
				<xsl:text>Po&#x0161;iljaoc (veleprometnik medicinskih sredstava) je upoznat sa na&#x010D;inom i tretmanom transporta za navedenu po&#x0161;iljku koju je propisao proizvo&#x0111;a&#x010D;, te je saglasan sa prethodnim informacijama, odnosno potvr&#x0111;uje da nije potreban poseban tretman za navedenu po&#x0161;iljku.</xsl:text>
			</fo:block>
		</fo:block>
	</xsl:template>

	<xsl:template name="table_row_upper">
		<xsl:param name="txt_left" />
		<xsl:param name="txt_right" />
		<xsl:param name="is_bold" select="'false'" />
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="tableUpperCellLeft">
				<xsl:choose>
					<xsl:when test="$is_bold = 'true'">
						<fo:block xsl:use-attribute-sets="innerTableTextBold">
							<xsl:value-of select='$txt_left' />
						</fo:block>
					</xsl:when>
					<xsl:otherwise>
						<fo:block xsl:use-attribute-sets="innerTableText">
							<xsl:value-of select='$txt_left' />
						</fo:block>
					</xsl:otherwise>
				</xsl:choose>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="tableUpperCellRight">
				<xsl:choose>
					<xsl:when test="$is_bold = 'true'">
						<fo:block xsl:use-attribute-sets="innerTableTextBold">
							<xsl:value-of select='$txt_right' />
						</fo:block>
					</xsl:when>
					<xsl:otherwise>
						<fo:block xsl:use-attribute-sets="innerTableText">
							<xsl:value-of select='$txt_right' />
						</fo:block>
					</xsl:otherwise>
				</xsl:choose>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

	<xsl:template name="table_row_3_cols">
		<xsl:param name="txt_left" />
		<xsl:param name="is_yes" select="'false'" />
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="tableLowerCellLeft">
				<fo:block xsl:use-attribute-sets="innerTableText">
					<xsl:value-of select='$txt_left' />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="tableLowerCellRight">
				<fo:block xsl:use-attribute-sets="innerTableTextCenter" font-family="ZapfDingbats" >
					<xsl:choose>
						<xsl:when test="$is_yes = 'true'">
							<xsl:text>&#x2714;</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text> </xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="tableLowerCellRight">
				<fo:block xsl:use-attribute-sets="innerTableTextCenter" font-family="ZapfDingbats" >
					<xsl:choose>
						<xsl:when test="$is_yes = 'false'">
							<xsl:text>&#x2714;</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text> </xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>

