<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:java="java" exclude-result-prefixes="fo"
	xmlns:barcode="http://barcode4j.krysalis.org/ns">

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no"
		indent="no" />

	<!-- ============================== -->
	<!-- Template: Single Barcode -->
	<!-- ============================== -->

	<xsl:template name="barcode">
		<xsl:param name="codeType" select="'code128'" />
		<xsl:param name="message" select="'NOT DEFINED'" />
		<xsl:param name="orientation" select="'0'" />
		<xsl:param name="fontSize" select="'10pt'" />
		<xsl:param name="height" select="'10mm'" />
		<xsl:param name="moduleWidth" select="'0.29mm'" />
		<xsl:param name="wideFactor" select="'3.0'" />
		<xsl:param name="placement" select="'bottom'" />
		<xsl:param name="fontName" select="'Arial'" />
		<xsl:choose>
			<xsl:when test="$codeType='multifunctional'">
				<fo:external-graphic src="url('barcode://MUL;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='postalCode'">
				<fo:external-graphic src="url('barcode://PLZ;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='routingInfo'">
				<fo:external-graphic src="url('barcode://RTI_SK;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='routingInfoRotated90'">
				<fo:external-graphic src="url('barcode://RTIROT90_SK;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='trackingCode'">
				<fo:external-graphic src="url('barcode://TRKS_SK;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='reportTrackingCode'">
				<fo:external-graphic src="url('barcode://TRKR;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='referenceNr1'">
				<fo:external-graphic src="url('barcode://REF1;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='smallLabel'">
				<fo:external-graphic src="url('barcode://SLBL;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='rcid'">
				<fo:external-graphic src="url('barcode://RCID;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='rRef1'">
				<fo:external-graphic src="url('barcode://RREF1;{$message}')" />
			</xsl:when>
			<xsl:when test="$codeType='datamatrix'">
				<fo:instream-foreign-object>
					<barcode:barcode xmlns:barcode="http://barcode4j.krysalis.org/ns"
						message="{$message}" orientation="{$orientation}">
						<barcode:datamatrix>
							<!-- 1 pixel at 72dpi -->
							<!-- <barcode:module-width>0.352777mm</barcode:module-width> -->
							<barcode:module-width>0.25mm</barcode:module-width>
							<barcode:quiet-zone enabled="true">1mw
							</barcode:quiet-zone>
							<barcode:shape>force-none</barcode:shape>
							<!-- <barcode:min-symbol-size>{dimension}</barcode:min-symbol-size> 
								<barcode:max-symbol-size>{dimension}</barcode:max-symbol-size> -->
						</barcode:datamatrix>
					</barcode:barcode>
				</fo:instream-foreign-object>
			</xsl:when>

		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>

